# Cumulus Platform Information

Small library that prints out basic hardware specs of supported Cumulus Linux Switches

The platform entries are keyed off the model-id in the ``platform-detect``
string, where the output would be ``<vendor>, <model-id>``.

## Usage

```
from cumulus_platform_info import cumulus_platform_info as cpi

# obtained from cumulus linux command "platform-detect"
platform_detect_str = 'dni,et-7448bf'

# create platform instance. Automatically calls decode-syseeprom
# running decode-syseeprom helps if there are more than 1 product with
# same platform detect string
cpi = cpi.CumulusPlatformInfo(platform_detect_str)
hwinfo = cpi.run()
print hwinfo.get('cpu').get('model_id')
>>> 'P2020'

```

In the MISC:cumulus-internal-tools repo find ``generate_platform_info_files.py``
This can be run by
CI/CD each time a new cumulus linux release is coming out to generate a fresh
set of json files, and then merge the json files into master to be picked up by
a netshow build.

## License and Authors
Author:: Cumulus Networks Inc.

Copyright:: 2017 Cumulus Networks Inc.

![Cumulus icon](http://cumulusnetworks.com/static/cumulus/img/logo_2014.png)

### Cumulus Linux

Cumulus Linux is a software distribution that runs on top of industry standard
networking hardware. It enables the latest Linux applications and automation
tools on networking gear while delivering new levels of innovation and
ﬂexibility to the data center.

For further details please see: [cumulusnetworks.com](http://www.cumulusnetworks.com)

This project is licensed under the GNU General Public License, Version 2.0
